cURL
curl --request GET \
--url https://backend.tensorpix.ai/api/video-gen/videos/ \
--header 'Authorization: <api-key>'import requests
url = "https://backend.tensorpix.ai/api/video-gen/videos/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://backend.tensorpix.ai/api/video-gen/videos/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uploaded_video": {
"id": 123,
"name": "<string>",
"width": 123,
"height": 123,
"created_at": "2023-11-07T05:31:56Z",
"n_frames": 123,
"framerate": 123,
"size": 123,
"owner": "jsmith@example.com",
"thumbnail": "<string>",
"external_url": "<string>",
"bitrate": 123,
"codec_id": "<string>",
"bit_depth": 123,
"chroma_subsampling": "<string>",
"color_space": "<string>",
"file": "<string>"
},
"width": 2080,
"height": 2080,
"n_frames": 1073741824,
"framerate": 500,
"size": 200000000050,
"file": "<string>",
"thumbnail": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}video-gen
Get apivideo genvideos
GET
/
api
/
video-gen
/
videos
/
cURL
Authorizations
Token-based authentication with required prefix "Token"
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
Which field to use when ordering the results.
Was this page helpful?
⌘I